Tool: batch_create_pull_request_comments
Creates one or more comments on a pull request in a Secure Source Manager repository.
The following code sample shows how to use curl to call the batch_create_pull_request_comments MCP tool.
| Curl Request |
|---|
curl --location 'https://securesourcemanager.europe-west4.rep.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "batch_create_pull_request_comments", "arguments": { // provide these details according to the tool's MCP specification } }, "jsonrpc": "2.0", "id": 1 }' |
Input Schema
The request to batch create pull request comments.
BatchCreatePullRequestCommentsRequest
| JSON representation |
|---|
{
"parent": string,
"requests": [
{
object ( |
| Fields | |
|---|---|
parent |
Required. The pull request in which to create the pull request comments. Format: |
requests[] |
Required. The request message specifying the resources to create. There should be exactly one CreatePullRequestCommentRequest with CommentDetail being REVIEW in the list, and no more than 100 CreatePullRequestCommentRequests with CommentDetail being CODE in the list |
CreatePullRequestCommentRequest
| JSON representation |
|---|
{
"parent": string,
"pullRequestComment": {
object ( |
| Fields | |
|---|---|
parent |
Required. The pull request in which to create the pull request comment. Format: |
pullRequestComment |
Required. The pull request comment to create. |
PullRequestComment
| JSON representation |
|---|
{ "name": string, "createTime": string, "updateTime": string, // Union field |
| Fields | |
|---|---|
name |
Identifier. Unique identifier for the pull request comment. The comment id is generated by the server. Format: |
createTime |
Output only. Creation timestamp. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
updateTime |
Output only. Last updated timestamp. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
Union field comment_detail. The comment detail. A comment can be a review, a general comment, or a code comment. comment_detail can be only one of the following: |
|
review |
Optional. The review summary comment. |
comment |
Optional. The general pull request comment. |
code |
Optional. The comment on a code line. |
Timestamp
| JSON representation |
|---|
{ "seconds": string, "nanos": integer } |
| Fields | |
|---|---|
seconds |
Represents seconds of UTC time since Unix epoch 1970-01-01T00:00:00Z. Must be between -62135596800 and 253402300799 inclusive (which corresponds to 0001-01-01T00:00:00Z to 9999-12-31T23:59:59Z). |
nanos |
Non-negative fractions of a second at nanosecond resolution. This field is the nanosecond portion of the duration, not an alternative to seconds. Negative second values with fractions must still have non-negative nanos values that count forward in time. Must be between 0 and 999,999,999 inclusive. |
Review
| JSON representation |
|---|
{
"actionType": enum ( |
| Fields | |
|---|---|
actionType |
Required. The review action type. |
body |
Optional. The comment body. |
effectiveCommitSha |
Output only. The effective commit sha this review is pointing to. |
Comment
| JSON representation |
|---|
{ "body": string } |
| Fields | |
|---|---|
body |
Required. The comment body. |
Code
| JSON representation |
|---|
{
"body": string,
"reply": string,
"position": {
object ( |
| Fields | |
|---|---|
body |
Required. The comment body. |
reply |
Optional. Input only. The PullRequestComment resource name that this comment is replying to. |
position |
Optional. The position of the comment. |
effectiveRootComment |
Output only. The root comment of the conversation, derived from the reply field. |
resolved |
Output only. Boolean indicator if the comment is resolved. |
effectiveCommitSha |
Output only. The effective commit sha this code comment is pointing to. |
Position
| JSON representation |
|---|
{ "path": string, "line": string } |
| Fields | |
|---|---|
path |
Required. The path of the file. |
line |
Required. The line number of the comment. Positive value means it's on the new side of the diff, negative value means it's on the old side. |
ActionType
The review action type.
| Enums | |
|---|---|
ACTION_TYPE_UNSPECIFIED |
Unspecified. |
COMMENT |
A general review comment. |
CHANGE_REQUESTED |
Change required from this review. |
APPROVED |
Change approved from this review. |
Output Schema
This resource represents a long-running operation that is the result of a network API call.
Operation
| JSON representation |
|---|
{ "name": string, "metadata": { "@type": string, field1: ..., ... }, "done": boolean, // Union field |
| Fields | |
|---|---|
name |
The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the |
metadata |
Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any. An object containing fields of an arbitrary type. An additional field |
done |
If the value is |
Union field result. The operation result, which can be either an error or a valid response. If done == false, neither error nor response is set. If done == true, exactly one of error or response can be set. Some services might not provide the result. result can be only one of the following: |
|
error |
The error result of the operation in case of failure or cancellation. |
response |
The normal, successful response of the operation. If the original method returns no data on success, such as An object containing fields of an arbitrary type. An additional field |
Any
| JSON representation |
|---|
{ "typeUrl": string, "value": string } |
| Fields | |
|---|---|
typeUrl |
Identifies the type of the serialized Protobuf message with a URI reference consisting of a prefix ending in a slash and the fully-qualified type name. Example: type.googleapis.com/google.protobuf.StringValue This string must contain at least one The prefix is arbitrary and Protobuf implementations are expected to simply strip off everything up to and including the last All type URL strings must be legal URI references with the additional restriction (for the text format) that the content of the reference must consist only of alphanumeric characters, percent-encoded escapes, and characters in the following set (not including the outer backticks): In the original design of |
value |
Holds a Protobuf serialization of the type described by type_url. A base64-encoded string. |
Status
| JSON representation |
|---|
{ "code": integer, "message": string, "details": [ { "@type": string, field1: ..., ... } ] } |
| Fields | |
|---|---|
code |
The status code, which should be an enum value of |
message |
A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the |
details[] |
A list of messages that carry the error details. There is a common set of message types for APIs to use. An object containing fields of an arbitrary type. An additional field |
Tool Annotations
Destructive Hint: ❌ | Idempotent Hint: ❌ | Read Only Hint: ❌ | Open World Hint: ❌